TRAFFIC_VIA(1)

NAME
traffic_via - Traffic Server Via header decoder

SYNOPSIS

traffic_via [OPTIONS] [VIA ...]

DESCRIPTION

traffic_via decodes the Traffic Server Via header codes. Via header strings are passed as command-line options. The enclosing square brackets are optional.

If the argument is '-', traffic_via will filter standard input for Via headers. This modes supports only supports Via headers that are enclosed by square brackets.

OPTIONS

    -h, --help
        Print usage information and exit.

    -V, --version
        Print version.

EXAMPLES

Decode the Via header from command-line arguments:

        $ traffic_via "[uScMsEf p eC:t cCMi p sF]"
        Via header is uScMsEf p eC:t cCMi p sF, Length is 24
        Via Header Details:
        Request headers received from client                   :simple request (not conditional)
        Result of Traffic Server cache lookup for URL          :miss (a cache "MISS")
        Response information received from origin server       :error in response
        Result of document write-to-cache:                     :no cache write performed
        Proxy operation result                                 :unknown
        Error codes (if any)                                   :connection to server failed
        Tunnel info                                            :no tunneling
        Cache Type                                             :cache
        Cache Lookup Result                                    :cache miss (url not in cache)
        Parent proxy connection status                         :no parent proxy or unknown
        Origin server connection status                        :connection open failed

Decode the Via header from a curl request, using the X-Debug plugin:

        $ curl -H  "X-Debug: Via" -I http://test.example.com | traffic_via -
        Via header is uScMsSf pSeN:t cCMi p sS, Length is 24
        Via Header Details:
        Request headers received from client                   :simple request (not conditional)
        Result of Traffic Server cache lookup for URL          :miss (a cache "MISS")
        Response information received from origin server       :connection opened successfully
        Result of document write-to-cache:                     :no cache write performed
        Proxy operation result                                 :served or connection opened successfully
        Error codes (if any)                                   :no error
        Tunnel info                                            :no tunneling
        Cache Type                                             :cache
        Cache Lookup Result                                    :cache miss (url not in cache)
        Parent proxy connection status                         :no parent proxy or unknown
        Origin server connection status                        :connection opened successfully

COPYRIGHT
2018, dev@trafficserver.apache.org